com.independentsoft.exchange

## Enum ViewFilter

- java.lang.Object
- - java.lang.Enum<ViewFilter>
  - - com.independentsoft.exchange.ViewFilter

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ViewFilter>

      public enum ViewFilter
      extends java.lang.Enum<ViewFilter>

  The Enum ViewFilter.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `FLAGGED`
    `HAS_ATTACHMENT`
    `NONE`
    `SUGGESTIONS`
    `SUGGESTIONS_DELETE`
    `SUGGESTIONS_RESPOND`
    `TASK_ACTIVE`
    `TASK_COMPLETED`
    `TASK_OVERDUE`
    `TO_OR_CC_ME`
    `UNREAD`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ViewFilter` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ViewFilter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final ViewFilter ALL

    - #### FLAGGED

          public static final ViewFilter FLAGGED

    - #### HAS_ATTACHMENT

          public static final ViewFilter HAS_ATTACHMENT

    - #### TO_OR_CC_ME

          public static final ViewFilter TO_OR_CC_ME

    - #### UNREAD

          public static final ViewFilter UNREAD

    - #### TASK_ACTIVE

          public static final ViewFilter TASK_ACTIVE

    - #### TASK_OVERDUE

          public static final ViewFilter TASK_OVERDUE

    - #### TASK_COMPLETED

          public static final ViewFilter TASK_COMPLETED

    - #### SUGGESTIONS

          public static final ViewFilter SUGGESTIONS

    - #### SUGGESTIONS_RESPOND

          public static final ViewFilter SUGGESTIONS_RESPOND

    - #### SUGGESTIONS_DELETE

          public static final ViewFilter SUGGESTIONS_DELETE

    - #### NONE

          public static final ViewFilter NONE

  - ### Method Detail

    - #### values

          public static ViewFilter[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ViewFilter c : ViewFilter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ViewFilter valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null